{% extends 'base.html' %}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{%block title%}{%endblock title%}</title>
    <link rel="stylesheet" href="{% static "css/recipes.css" %}">

</head>
<body>
    <header>
    </header>
    {%block content%}
    <main>
        <h1>{{ recipe_object.title }}</h1>

        <img src="{{ recipe_object.picture }}" alt="smashed potatoes" width=auto height="200">
        <p>4.6 stars</p>
        {% if request.user == recipe_object.author %}
        <div>
            <a href="{% url "edit_recipe" recipe_object.id %}" style="color:orange;">Edit Recipe</a>
        </div>
        {% endif %}
        <p>{{ recipe_object.description }}</p>
        <h2>Ingredient</h2>

        <table>
            <tr>
              <th>Amount</th>
              <th>Food Item</th>
            </tr>
            {% for ingredient in recipe_object.ingredients.all %}
            <tr>
                <td>{{ ingredient.amount }}</td>
                <td>{{ ingredient.food_item }}</td>
            </tr>
            {% endfor %}
          </table>

          <h2>Steps</h2>
          <div id="directions">
            <ol>
                {% for step in recipe_object.steps.all %}
                <li>{{ step.instruction }}</li>
                {% endfor %}
            </ol>
          </div>
    </main>
    {%endblock content%}
</body>
</html>
